package com.mousetech.gourmetj.persistence.model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the "crossunitdict" database table.
 * 
 */
@Entity
@Table(name="\"crossunitdict\"")
@NamedQuery(name="Crossunitdict.findAll", query="SELECT c FROM Crossunitdict c")
public class Crossunitdict implements Serializable {
	private static final long serialVersionUID = 1L;

	@Column(name="\"cukey\"")
	private Integer cukey;

	@Id
	@Column(name="\"id\"")
	private int id;

	@Column(name="\"value\"")
	private String value;

	public Crossunitdict() {
	}

	public Integer getCukey() {
		return this.cukey;
	}

	public void setCukey(Integer cukey) {
		this.cukey = cukey;
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getValue() {
		return this.value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}